/**
 * Variables for theming
 */
.dark {
  --website-background-color: rgb(35, 35, 35);
  --primary-background-color: rgb(60, 60, 60);
  --text-color-primary: rgb(255, 255, 255);
  --text-color-secondary: rgb(230, 85, 85);
}

/**
 * Global declarations
 */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Roboto", sans-serif;
  color: var(--text-color-primary);
}

a,
p,
span {
  font-size: 1.2rem;
}

h1,
span {
  transition: color 500ms;
}

a {
  text-decoration: none;
}

p {
  line-height: 1.25;
  text-justify: distribute;
}

body {
  width: 100vw;
  min-height: 100vh;
  background-color: var(--website-background-color);
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

/**
 * Navigation bar
 */
.navigation {
  padding: 1rem;
  background-color: var(--primary-background-color);
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.navigation .item:first-of-type {
  margin-right: 1rem;
}

.navigation .item:last-of-type {
  margin-left: 1rem;
}

.navigation .item {
  display: flex;
  align-items: center;
}

.navigation .item:first-of-type img {
  width: 40px;
  height: 40px;
}

.navigation .item:last-of-type img {
  width: 90px;
  height: 40px;
}

.navigation .item h1 {
  margin-left: 1rem;
}

.navigation .item:hover h1 {
  color: var(--text-color-secondary);
}

/**
 * Page main content
 */
.root {
  display: flex;
  flex: 1;
  justify-content: center;
  align-items: center;
}

.card {
  max-width: 60rem;
  margin: 2rem;
  padding: 1.5rem;
  background-color: var(--primary-background-color);
  border-radius: 5px;
  box-shadow: 0 0 0.5rem black;
}

.card p,
.card .links {
  margin-top: 1.5rem;
}

.links {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(35ch, 1fr));
  grid-auto-rows: 1fr;
  grid-gap: 1rem;
}

.links .item {
  padding: 0.5rem;
  display: flex;
  align-items: center;
  border: 0.15rem solid var(--text-color-secondary);
  border-radius: 5px;
}

.links .item:hover span {
  color: var(--text-color-secondary)
}

.links .item img {
  width: 32px;
  height: 32px;
}

.links .item span {
  margin-left: 0.5rem;
}

.footer {
  padding: 1rem;
  background-color: var(--primary-background-color);
}
